summaryrefslogtreecommitdiff
path: root/tests/ar5.test
diff options
context:
space:
mode:
authorPeter Rosin <peda@lysator.liu.se>2011-10-21 00:23:34 +0200
committerPeter Rosin <peda@lysator.liu.se>2011-10-21 00:23:34 +0200
commitc7a6a92ea100e3c78c7f48bd6a672da3ad46fc7f (patch)
treecf3a3d2321c3de8b26a6be411e643920722eec17 /tests/ar5.test
parentb07777bd6da63018e845e18ce96c4168343b47b6 (diff)
downloadautomake-c7a6a92ea100e3c78c7f48bd6a672da3ad46fc7f.tar.gz
ar-lib: new 'AM_PROG_AR' macro, triggering the 'ar-lib' script
* m4/ar-lib.m4: New macro AM_PROG_AR, which locates an archiver and triggers the auxiliary 'ar-lib' script if needed. * m4/Makefile.am (dist_m4data_DATA): Update. * automake.in ($seen_ar): New variable. (scan_autoconf_traces): Set it. (handle_libraries, handle_ltlibraries): Require AM_PROG_AR for portability. * doc/automake.texi (Public Macros): Mention the new 'AM_PROG_AR' macro. (Subpackages): Add AM_PROG_AR to the example. (A Library): Adjust recommendations for AR given the new AM_PROG_AR macro. * All relevant tests: Adjust to new portability requirements due to the new AM_PROG_AR macro. * tests/ar-lib2.test: New test, checking that AM_PROG_AR triggers install of ar-lib. * tests/ar-lib3.test: New test, checking that lib_LIBRARIES requires AM_PROG_AR. * tests/ar-lib4.test: New test, checking that lib_LTLIBRARIES requires AM_PROG_AR. * tests/ar-lib5a.test: New test, checking that AM_PROG_AR triggers use of ar-lib when the archiver is Microsoft lib. * tests/ar-lib5b.test: New test, checking that AM_PROG_AR triggers use of ar-lib when the archiver is a faked lib. * tests/ar-lib6a.test: New test, checking the ordering of AM_PROG_AR and LT_INIT. * tests/ar-lib6b.test: New test, checking the ordering of AM_PROG_AR and AC_PROG_LIBTOOL. * tests/ar-lib7.test: New test, checking that automake warns if ar-lib is missing. * tests/ar3.test: New test, checking that AR and ARFLAGS may be overridden by the user even if AM_PROG_AR is used. * tests/ar4.test: New test, checking that AM_PROG_AR bails out if it cannot determine the archiver interface. * tests/ar5.test: New test, checking that AM_PROG_AR runs its optional argument if it cannot determine the archiver interface. * tests/defs.in: New required entry 'lib'. * tests/Makefile.am (TESTS): Update. * NEWS: Update. Signed-off-by: Peter Rosin <peda@lysator.liu.se>
Diffstat (limited to 'tests/ar5.test')
-rwxr-xr-xtests/ar5.test33
1 files changed, 33 insertions, 0 deletions
diff --git a/tests/ar5.test b/tests/ar5.test
new file mode 100755
index 000000000..d00f421bd
--- /dev/null
+++ b/tests/ar5.test
@@ -0,0 +1,33 @@
+#! /bin/sh
+# Copyright (C) 2011 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+# Test the optional argument of AM_PROG_AR.
+
+. ./defs || Exit 1
+
+set -e
+
+cat >> configure.in << 'END'
+AM_PROG_AR([echo spy > bad-archiver-interface-detected])
+END
+
+$ACLOCAL
+$AUTOCONF
+
+./configure AR=/bin/false
+test -f bad-archiver-interface-detected
+
+: